# -*- coding: utf-8 -*-
from plone.app.contenttypes.testing import PLONE_APP_CONTENTTYPES_FIXTURE
from plone.app.robotframework.testing import REMOTE_LIBRARY_BUNDLE_FIXTURE
from plone.app.testing import applyProfile
from plone.app.testing import FunctionalTesting
from plone.app.testing import IntegrationTesting
from plone.app.testing import PloneSandboxLayer
from plone.testing import z2

import redturtle.bandi


class RedTurtleBandiLayer(PloneSandboxLayer):

    defaultBases = (PLONE_APP_CONTENTTYPES_FIXTURE,)

    def setUpZope(self, app, configurationContext):
        # Load any other ZCML that is required for your tests.
        # The z3c.autoinclude feature is disabled in the Plone fixture base
        # layer.
        self.loadZCML(package=redturtle.bandi)

    def setUpPloneSite(self, portal):
        applyProfile(portal, 'redturtle.bandi:default')


REDTURTLE_BANDI_FIXTURE = RedTurtleBandiLayer()


REDTURTLE_BANDI_INTEGRATION_TESTING = IntegrationTesting(
    bases=(REDTURTLE_BANDI_FIXTURE,),
    name='RedTurtleBandiLayer:IntegrationTesting',
)


REDTURTLE_BANDI_FUNCTIONAL_TESTING = FunctionalTesting(
    bases=(REDTURTLE_BANDI_FIXTURE,),
    name='RedTurtleBandiLayer:FunctionalTesting',
)


REDTURTLE_BANDI_ACCEPTANCE_TESTING = FunctionalTesting(
    bases=(
        REDTURTLE_BANDI_FIXTURE,
        REMOTE_LIBRARY_BUNDLE_FIXTURE,
        z2.ZSERVER_FIXTURE,
    ),
    name='RedTurtleBandiLayer:AcceptanceTesting',
)
